Subject: Re: [bonding] compatibilty issues

From: "Chad N. Tindel" <[email-masked]>
Date: Mon, 29 Sep 2003 20:23:31 -0400

> Well, if that's David's sentiment, then I respectfully disagree with that.

And in all actuality, I might have misunderstood it anyway.  ;-)

> I'm realistic.  I'm not advocating that you support 2.2 through 2.8 
> kernels in the same binary.  What I'm talking about is common sense -- 
> you see 2.4 and 2.6 mixing in the field.  As I said, that's the common 
> case for the near future.
> 
> The common case should be supported.   :)

Agreed.  Is there some point at which we can stop supporting 2.4 from the 2.6
ifenslave?  I mean, its kind of nebulous to just say the "common case"...
you gotta realize, most of us work in big companies like HP, IBM, Intel and
concepts of support life have real meaning to us.

This is a very interestng discussion.  Do you have any insights into what
the other parts of the kernel are doing wrt to this problem?

Chad